info.bioinfweb.jphyloio.events.meta

## Enum LiteralContentSequenceType

- java.lang.Object
- - java.lang.Enum<LiteralContentSequenceType>
  - - info.bioinfweb.jphyloio.events.meta.LiteralContentSequenceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LiteralContentSequenceType>

      public enum LiteralContentSequenceType
      extends java.lang.Enum<LiteralContentSequenceType>

  Enumerates the types of sequences of `LiteralMetadataContentEvent`s that can be nested inside an `LiteralMetadataEvent`.
  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SIMPLE` Indicates that a single `LiteralMetadataContentEvent` representing a simple value will be nested.
    `XML` Indicates that a sequence of `LiteralMetadataContentEvent`s will be nested.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LiteralContentSequenceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LiteralContentSequenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final LiteralContentSequenceType SIMPLE

      Indicates that a single `LiteralMetadataContentEvent` representing a simple value will be nested.

    - #### XML

          public static final LiteralContentSequenceType XML

      Indicates that a sequence of `LiteralMetadataContentEvent`s will be nested. Each of them represents one XML element as they are read by an implementation of `XMLEventReader`. (The data represented by the XML sequence as a whole is the literal value.)

  - ### Method Detail

    - #### values

          public static LiteralContentSequenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiteralContentSequenceType c : LiteralContentSequenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiteralContentSequenceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null